<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Approval Loan Room</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
<section class="section">
  <div class="section-header">
    <h1>Peminjaman Ruangan</h1>
  </div>
  <div class="section-body">
    <div class="row">
      <div class="col-md-12 grid-margin stretch-card">
        <div class="card">
          <div class="card-header">
            <h4>List</h4>
          </div>
          <div class="card-body">
            <div class="row">
              <div class="col-md-9">
                <!--              <a th:href="@{/request/loanRoom/form}" class="btn btn-primary">+ New</a>-->
              </div>
              <div class="col-md-3">
                <form method="get">
                  <div class="form-group">
                    <div class="input-group">
                      <input type="text" class="form-control" name="search" th:value="${search}" placeholder="Search ...">
                      <div class="input-group-append">
                        <button class="btn btn-sm btn-primary" type="submit">Search</button>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>

            <div class="alert alert-fill-success" role="alert" th:if="${success != null}">
              <i class="mdi mdi-alert-circle"></i> Save data successful... </div>
            <div class="alert alert-fill-danger" role="alert" th:if="${delete != null}">
              <i class="mdi mdi-alert-circle"></i> Delete data successful... </div>
            <div class="alert alert-fill-danger" role="alert" th:if="${gagal != null}">
              <i class="mdi mdi-alert-circle"></i> Data tidak bisa dihapus, karena ada data departemen yang terkait dengan instansi tersebut. </div>
            <div class="table-responsive">
              <table class="table table-striped">
                <thead>
                <tr>
                  <th> # </th>
                  <th> Nama Ruangan </th>
                  <th> Tanggal Mulai Peminjaman </th>
                  <th> Tanggal Berakhir Peminjaman </th>
                  <th> Keterangan </th>
                  <th> Status </th>
                  <th></th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="data,row : ${approvalList}">
                  <td th:text="${(row.index + 1)}"></td>
                  <td th:text="${data.ruangan.namaRuangan}"></td>
                  <td th:text="${data.tanggalMulaiPeminjaman}"></td>
                  <td th:text="${data.tanggalBerakhirPeminjaman}"></td>
                  <td th:text="${data.keterangan}"></td>
                  <td th:if="${data.statusPeminjaman == 'WAITING'}"><button class="btn btn-outline-danger">WAITING</button></td>
                  <td th:if="${data.statusPeminjaman == 'APPROVED'}"><button class="btn btn-outline-success">APPROVED</button></td>
                  <td>
                    <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data.id}">
                      Approved
                    </button>

                    <!-- Modal -->
                    <div class="modal fade" th:id="${'exampleModal' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                      <div class="modal-dialog" role="document">
                        <form th:action="@{/request/loanRoom/approval(peminjamanRuangan = ${data.id})}" method="post">
                          <div class="modal-content">
                            <div class="modal-header">
                              <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                              </button>
                            </div>
                            <div class="modal-body">
                              Do you want to Approved ?
                            </div>
                            <div class="modal-footer">
                              <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                              <button type="submit" class="btn btn-primary">Yes</button>
                            </div>
                          </div>
                        </form>
                      </div>
                    </div>
                  </td>
                </tr>
                </tbody>
              </table>
            </div>

            <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
              <nav>
                <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                  <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                  <li class="page-item active"><a class="page-link" href="#">1</a></li>
                  <li class="page-item"><a class="page-link" href="#">2</a></li>
                  <li class="page-item"><a class="page-link" href="#">3</a></li>
                  <li class="page-item"><a class="page-link" href="#">4</a></li>
                  <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                </ul>
              </nav>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>

</div>
</body>
</html>